Ticket #44018

SDL_HINT_AUDIO_RESAMPLING_MODE not available in the oldest sdl2 releases

Open Date: 2022-03-04 05:18 Last Update: 2022-03-07 13:05

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
5

Details

I've got build failure on Ubuntu Trusty because of SDL_HINT_AUDIO_RESAMPLING_MODE.

sdl2 documentation does not list as something that's been added since initial 2.0.0 release (and that's the documentation I've been relying so far), but looking various Release Notes it seems that it was added in sdl2-2.0.6.

In master and S3_1 we can simply bump minimum sdl2 requirement.

S3_0 likely needs more conditional compiling, or in worst case dropping the hint completely.

Ticket History (3/12 Histories)

2022-03-04 05:18 Updated by: cazfi
  • New Ticket "SDL_HINT_AUDIO_RESAMPLING_MODE not available in the oldest sdl2 releases" created
2022-03-04 05:49 Updated by: cazfi
Comment

Considering that SDL2_mixer is the only audio option in branches later than S3_0, requiring SDL2 >= 2.0.6 in S3_1 is a bit out of the general line (trusty can still use gtk3-client in S3_1 etc). Such a requirement is in line with master's requirements.

2022-03-04 05:56 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-03-06 03:18 Updated by: cazfi
Comment

- Rebased master patch against current HEAD (it was originally made on top of #43942)

2022-03-06 04:31 Updated by: alienvalkyrie
Comment

The S3_0 patch checks that AUDIO_SDL1_2 is defined, rather than undefined (as before); I assume that's not intended.

2022-03-06 06:05 Updated by: cazfi
Comment

Reply To alienvalkyrie

The S3_0 patch checks that AUDIO_SDL1_2 is defined, rather than undefined (as before); I assume that's not intended.

Corrected patch attached.

2022-03-07 13:05 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login